summaryrefslogtreecommitdiff
path: root/gomods.sh
diff options
context:
space:
mode:
authorAndrew G. Morgan <morgan@kernel.org>2021-05-24 11:50:15 -0700
committerAndrew G. Morgan <morgan@kernel.org>2021-05-24 11:50:15 -0700
commit91455fd109f276f6aab095c08af1cba2c1f7b47c (patch)
tree1ae0f8e67706729e298ab437697065b392e97779 /gomods.sh
parent2f9b7f484c035316dc0d77af9422aef7f2764b6c (diff)
downloadlibcap2-91455fd109f276f6aab095c08af1cba2c1f7b47c.tar.gz
Add a handy update script for the various go.mod files.
Signed-off-by: Andrew G. Morgan <morgan@kernel.org>
Diffstat (limited to 'gomods.sh')
-rwxr-xr-xgomods.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/gomods.sh b/gomods.sh
new file mode 100755
index 0000000..890cccd
--- /dev/null
+++ b/gomods.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+version="${1}"
+if [[ -z "${version}" ]]; then
+ echo "usage: supply a cap/psx module version to target"
+ exit 1
+fi
+
+for x in $(find . -name 'go.mod'); do
+ sed -i -e 's@kernel.org/\([^ ]*\) v.*$@kernel.org/\1 '"${version}@" "${x}"
+done